Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.pagination
Class PageProductionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.fop.fo.pagination.PageProductionException

All Implemented Interfaces:
  java.io.Serializable

    public class PageProductionException

extends java.lang.RuntimeException

Exception thrown by FOP if there is a problem while producing new pages.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PageProductionException.PageProductionExceptionFactory` Exception factory for `PageProductionException`.

Constructor Summary
`PageProductionException(java.lang.String message)` Creates a new PageProductionException.
`PageProductionException(java.lang.String message, org.xml.sax.Locator locator)` Creates a new PageProductionException.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`org.xml.sax.Locator` | `getLocator()` Returns the locattion associated with the exception.
`void` | `setLocalizedMessage(java.lang.String msg)` Sets the localized message for this exception.
`void` | `setLocator(org.xml.sax.Locator locator)` Set a location associated with the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageProductionException

    public PageProductionException(java.lang.String message)

  Creates a new PageProductionException.

  Parameters:
    `message` - the message

### PageProductionException

    public PageProductionException(java.lang.String message,
                                   org.xml.sax.Locator locator)

  Creates a new PageProductionException.

  Parameters:
    `message` - the message
    `locator` - the optional locator that points to the error in the source file

Method Detail

### setLocator

    public void setLocator(org.xml.sax.Locator locator)

  Set a location associated with the exception.

  Parameters:
    `locator` - the locator holding the location.

### getLocator

    public org.xml.sax.Locator getLocator()

  Returns the locattion associated with the exception.

  Returns:
    the locator or null if the location information is not available

### setLocalizedMessage

    public void setLocalizedMessage(java.lang.String msg)

  Sets the localized message for this exception.

  Parameters:
    `msg` - the localized message

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.